classification
Title: Reduce logging.config.Converting duplication of code
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.3, Python 3.4, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: vinay.sajip Nosy List: dongwm, python-dev, vinay.sajip
Priority: normal Keywords: patch

Created on 2014-01-30 02:38 by dongwm, last changed 2014-03-20 13:15 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
logging_config.patch dongwm, 2014-01-30 02:38 review
Messages (4)
msg209734 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-01-30 20:22
New changeset 03b399c807d6 by Vinay Sajip in branch '2.7':
Issue #20444: Reduced code duplication. Thanks to dongwm for the report and patch.
http://hg.python.org/cpython/rev/03b399c807d6
msg209735 - (view) Author: Vinay Sajip (vinay.sajip) * (Python committer) Date: 2014-01-30 20:23
I'll keep this issue open to remind me to patch 3.3 / 3.4 at the appropriate time.
msg209860 - (view) Author: dongwm (dongwm) * Date: 2014-02-01 01:41
yes, Your modification is better
msg214225 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-03-20 13:15
New changeset f27f594a96c3 by Vinay Sajip in branch '3.4':
Issue #20444: Reduced code duplication.
http://hg.python.org/cpython/rev/f27f594a96c3

New changeset 135aa1c4349d by Vinay Sajip in branch 'default':
Closes #20444: Merged fix from 3.4.
http://hg.python.org/cpython/rev/135aa1c4349d
History
Date User Action Args
2014-03-20 13:15:35python-devsetstatus: open -> closed
resolution: fixed
messages: + msg214225

stage: resolved
2014-02-01 01:41:31dongwmsetmessages: + msg209860
2014-01-30 20:23:43vinay.sajipsetmessages: + msg209735
2014-01-30 20:22:53python-devsetnosy: + python-dev
messages: + msg209734
2014-01-30 19:42:42vinay.sajipsetassignee: vinay.sajip
versions: + Python 3.3, Python 3.4
2014-01-30 14:26:50r.david.murraysetnosy: + vinay.sajip
2014-01-30 02:38:07dongwmcreate